Authors the per-NHI rotation policy.
PUT
/v1/m/governance/nhi/{ref}/policy
const url = 'https://example.com/v1/m/governance/nhi/example/policy';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"criticality":"example","max_age_seconds":1,"rotated_at":"example","rotation_target":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/m/governance/nhi/example/policy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "criticality": "example", "max_age_seconds": 1, "rotated_at": "example", "rotation_target": "example" }'Authors the per-NHI rotation policy. Write-tier, self-audited.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” ref
required
string
Path parameter ref.
Header Parameters
Section titled “Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ” Media type application/json
Any of:
object
criticality
max_age_seconds
rotated_at
null
Example generated
{ "criticality": "example", "max_age_seconds": 1, "rotated_at": "example", "rotation_target": "example"}Responses
Section titled “ Responses ”OK
Media type application/json
object
Example generated
{}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}